Bug 13327 - expose value laziness to python
Summary: expose value laziness to python
Status: RESOLVED FIXED
Alias: None
Product: gdb
Classification: Unclassified
Component: python (show other bugs)
Version: unknown
: P2 normal
Target Milestone: 7.4
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-20 14:38 UTC by Tom Tromey
Modified: 2011-11-02 13:37 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Tromey 2011-10-20 14:38:02 UTC
The gdb.Value API should expose whether the value is lazy
(via a new attribute) and provide a method to un-lazy the value.
Comment 1 Sourceware Commits 2011-10-25 18:34:55 UTC
CVSROOT:	/cvs/src
Module name:	src
Changes by:	pkoning@sourceware.org	2011-10-25 18:34:51

Modified files:
	gdb            : ChangeLog 
	gdb/python     : py-value.c 

Log message:
	PR python/13327
	
	* python/py-value.c (value_to_value_object): Remove fetching of
	the value if it was lazy.
	(valpy_get_is_lazy): New function.
	(valpy_fetch_lazy): New function.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/src/gdb/ChangeLog.diff?cvsroot=src&r1=1.13456&r2=1.13457
http://sourceware.org/cgi-bin/cvsweb.cgi/src/gdb/python/py-value.c.diff?cvsroot=src&r1=1.28&r2=1.29
Comment 2 Sourceware Commits 2011-10-25 18:35:24 UTC
CVSROOT:	/cvs/src
Module name:	src
Changes by:	pkoning@sourceware.org	2011-10-25 18:35:19

Modified files:
	gdb/doc        : ChangeLog gdb.texinfo 

Log message:
	PR python/13327
	
	* gdb.texinfo (Values From Inferior): Add is_lazy attribute,
	fetch_lazy method.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/src/gdb/doc/ChangeLog.diff?cvsroot=src&r1=1.1231&r2=1.1232
http://sourceware.org/cgi-bin/cvsweb.cgi/src/gdb/doc/gdb.texinfo.diff?cvsroot=src&r1=1.880&r2=1.881
Comment 3 Tom Tromey 2011-11-02 13:37:01 UTC
Fixed.